## ros-kinetic-serial 1.2.1

=== debian/changelog ===
ros-kinetic-serial (1.2.1-0xenial) xenial; urgency=high

  * Removed the use of a C++11 feature for compatibility with older browsers.
  * Fixed an issue with cross compiling with mingw on Windows.
  * Restructured Visual Studio project layout.
  * Added include of ``#include <AvailabilityMacros.h>`` on OS X (listing of ports).
  * Fixed MXE for the listing of ports on Windows.
  * Now closes file device if ``reconfigureDevice`` fails (Windows).
  * Added the MARK/SPACE parity bit option, also made it optional.
    Adding the enumeration values for MARK and SPACE was the only code change to an API header.
    It should not affect ABI or API.
  * Added support for 576000 baud on Linux.
  * Now releases iterator properly in listing of ports code for OS X.
  * Fixed the ability to open COM ports over COM10 on Windows.
  * Fixed up some documentation about exceptions in ``serial.h``.

 -- William Woodall <william@osrfoundation.org>  Tue, 21 Apr 2015 07:00:00 -0000

ros-kinetic-serial (1.2.0-0xenial) xenial; urgency=high

  * Removed vestigial ``read_cache_`` private member variable from Serial::Serial
  * Fixed usage of scoped locks
    Previously they were getting destroyed immediately because they were not stored in a temporary scope variable
  * Added check of return value from close in Serial::SerialImpl::close () in unix.cc and win.cc
  * Added ability to enumerate ports on linux and windows.
    Updated serial_example.cc to show example of port enumeration.
  * Fixed compile on VS2013
  * Added functions ``waitReadable`` and ``waitByteTimes`` with implemenations for Unix to support high performance reading
  * Contributors: Christopher Baker, Craig Lilley, Konstantina Kastanara, Mike Purvis, William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 02 Jul 2014 07:00:00 -0000

ros-kinetic-serial (1.1.7-0xenial) xenial; urgency=high

  * Improved support for mingw (mxe.cc)
  * Fix compilation warning
    See issue #53 <https://github.com/wjwwood/serial/issues/53>
  * Improved timer handling in unix implementation
  * fix broken ifdef _WIN32
  * Fix broken ioctl calls, add exception handling.
  * Code guards for platform-specific implementations. (when not using cmake / catkin)
  * Contributors: Christopher Baker, Mike Purvis, Nicolas Bigaouette, William Woodall, dawid

 -- William Woodall <william@osrfoundation.org>  Thu, 20 Feb 2014 08:00:00 -0000

ros-kinetic-serial (1.1.6-0xenial) xenial; urgency=high

  * Move stopbits_one_point_five to the end of the enum, so that it doesn't alias with stopbits_two.

 -- William Woodall <william@osrfoundation.org>  Thu, 17 Oct 2013 07:00:00 -0000

ros-kinetic-serial (1.1.5-0xenial) xenial; urgency=high

  * Fix license labeling, I put BSD, but the license has always been MIT...
  * Added Microsoft Visual Studio 2010 project to make compiling on Windows easier.
  * Implemented Serial::available() for Windows
  * Update how custom baudrates are handled on OS X
    This is taken from the example serial program on Apple's developer website, see:
    http://free-pascal-general.1045716.n5.nabble.com/Non-standard-baud-rates-in-OS-X-IOSSIOSPEED-IOCTL-td4699923.html
  * Timout settings are now applied by reconfigurePort
  * Pass LPCWSTR to CreateFile in Windows impl
  * Use wstring for ``port_`` type in Windows impl

 -- William Woodall <william@osrfoundation.org>  Mon, 23 Sep 2013 07:00:00 -0000

ros-kinetic-serial (1.1.4-0xenial) xenial; urgency=high

  * Timing calculation fix for read and write.
    Fixes #27 <https://github.com/wjwwood/serial/issues/27>
  * Update list of exceptions thrown from constructor.
  * fix, by Thomas Hoppe <mailto:thomas.hoppe@cesys.com>
    For SerialException's:
    * The name was misspelled...
    * Use std::string's for error messages to prevent corruption of messages on some platforms
  * alloca.h does not exist on OpenBSD either.

 -- William Woodall <william@osrfoundation.org>  Wed, 12 Jun 2013 01:13:18 -0700

ros-kinetic-serial (1.1.3-0xenial) xenial; urgency=high

  * Install headers

 -- William Woodall <william@osrfoundation.org>  Wed, 09 Jan 2013 10:54:34 -0800

ros-kinetic-serial (1.1.2-0xenial) xenial; urgency=high

  * Fix buildtool depends

 -- William Woodall <william@osrfoundation.org>  Fri, 14 Dec 2012 14:08:55 -0800

ros-kinetic-serial (1.1.1-0xenial) xenial; urgency=high

  * Removed rt linking on OS X. Fixes #24 <https://github.com/wjwwood/serial/issues/24>.

 -- William Woodall <william@osrfoundation.org>  Mon, 03 Dec 2012 08:00:00 -0000

ros-kinetic-serial (1.1.0-0xenial) xenial; urgency=high

  * Previous history is unstructured and therefore has been truncated. See the commit messages for more info.

 -- William Woodall <william@osrfoundation.org>  Wed, 24 Oct 2012 07:00:00 -0000
